Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Noop_Token Class Reference

`#include <Token.h>`

Inheritance diagram for ACE_Noop_Token:

[legend]
Collaboration diagram for ACE_Noop_Token:

[legend]
List of all members.

## Public Types
enum | QUEUEING_STRATEGY { FIFO = -1, LIFO = 0 }
| Queueing strategy. More...
## Public Methods
int | queueing_strategy (void)
| Get queueing strategy.
void | queueing_strategy (int queueing_strategy)
| Set queueing strategy.
int | renew (int=0, ACE_Time_Value *=0)
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Member Enumeration Documentation

enum ACE_Noop_Token::QUEUEING_STRATEGY

  | Queueing strategy. Enumeration values:
  FIFO |
  LIFO |

## Member Function Documentation

ACE_INLINE void ACE_Noop_Token::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Null_Mutex. Reimplemented in ACE_Select_Reactor_Token_T< ACE_SELECT_TOKEN >.

ACE_INLINE void ACE_Noop_Token::queueing_strategy | ( | int | queueing_strategy | ) |

| Set queueing strategy.

ACE_INLINE int ACE_Noop_Token::queueing_strategy | ( | void |  | ) |

| Get queueing strategy.

ACE_INLINE int ACE_Noop_Token::renew | ( | int | = 0,
|  | ACE_Time_Value * | = 0
| ) |

## Member Data Documentation

ACE_Noop_Token::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented in ACE_Select_Reactor_Token_T< ACE_SELECT_TOKEN >.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Token.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Token.i